Not work in old version firefox Rated 3 out of 5 stars

Version 0.95 is not fully functional in firefox 17.